package com.bonus.canteen.core.supply.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel
@ContentStyle(
   borderLeft = BorderStyleEnum.THIN,
   borderBottom = BorderStyleEnum.THIN,
   borderRight = BorderStyleEnum.THIN,
   borderTop = BorderStyleEnum.THIN
)
public class DrpExcelInquiryVO implements Serializable {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("询价标题")
   private String title;
   @ApiModelProperty("报价开始时间")
   private String startTime;
   @ApiModelProperty("报价结束时间")
   private String endTime;
   @ApiModelProperty("要求到货时间")
   private String requestArrivalTime;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("询价供应商列表")
   private String suppliersName;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("中标供应商id")
   private Long bidSupplierId;
   @ApiModelProperty("中标供应商")
   private String bidSupplierName;
   @ApiModelProperty("决标时间")
   private String bidTime;
   @ApiModelProperty("制表时间")
   private String crtime;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public String getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getAddress() {
      return this.address;
   }

   public String getSuppliersName() {
      return this.suppliersName;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public Long getBidSupplierId() {
      return this.bidSupplierId;
   }

   public String getBidSupplierName() {
      return this.bidSupplierName;
   }

   public String getBidTime() {
      return this.bidTime;
   }

   public String getCrtime() {
      return this.crtime;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setStartTime(final String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final String endTime) {
      this.endTime = endTime;
   }

   public void setRequestArrivalTime(final String requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setSuppliersName(final String suppliersName) {
      this.suppliersName = suppliersName;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setBidSupplierId(final Long bidSupplierId) {
      this.bidSupplierId = bidSupplierId;
   }

   public void setBidSupplierName(final String bidSupplierName) {
      this.bidSupplierName = bidSupplierName;
   }

   public void setBidTime(final String bidTime) {
      this.bidTime = bidTime;
   }

   public void setCrtime(final String crtime) {
      this.crtime = crtime;
   }



   public String toString() {
      String var10000 = this.getInquiryId();
      return "DrpExcelInquiryVO(inquiryId=" + var10000 + ", title=" + this.getTitle() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ", requestArrivalTime=" + this.getRequestArrivalTime() + ", phone=" + this.getPhone() + ", linkMan=" + this.getLinkMan() + ", address=" + this.getAddress() + ", suppliersName=" + this.getSuppliersName() + ", inquiryNotes=" + this.getInquiryNotes() + ", bidSupplierId=" + this.getBidSupplierId() + ", bidSupplierName=" + this.getBidSupplierName() + ", bidTime=" + this.getBidTime() + ", crtime=" + this.getCrtime() + ")";
   }
}
